/*
 * Ship.h
 *
 * Defines a ship and all it's characteristics as defined by the
 * specification file.
 *
 * Fighters are included as attached BaseShip fields.
 *
 * (C) 2001 MagnumMan-iCoP (James E. King, III)
 */

#include "BaseShip.h"

// pair::second in Fighters is the fighter count in the fighter group
typedef std::pair< BaseShip, int32 >	Fighters;

class Ship : public BaseShip
{
public:

	Fighters	fighters[4];
	
//////////////////////////////////////////////////////////////////////////

	Ship() : BaseShip () { }
	~Ship() { }

};
