/*
 * SelectRandomShip.cpp
 *
 * (C) 2001 MagnumMan-iCoP (James E. King, III)
 */

#include "StdAfx.h"

#include "ShipList.h"

#pragma warning( disable:4715 )

bool ShipList::SelectRandomShip(Ship &aShip)
{
	if (!size())
		return false;		// let's not divide by zero

	int32 hitPos = rand() % size();

	for (RealShipListIter iter = begin(); iter != end(); iter++)
	{
		if (!hitPos--)
		{
			aShip = *iter;
			return true;
		}
	}

	return false;
}

